## org.eclipse.datatools.connectivity.oda.design.ui.designsession
Class DataSetDesignSession

    java.lang.Object
      DataSetDesignSessionBase
          org.eclipse.datatools.connectivity.oda.design.ui.designsession.DataSetDesignSession

public class DataSetDesignSession
extends DataSetDesignSessionBase

An UI design session for use by an ODA host designer to interact and communicate with custom ODA UI extensions to create or edit an extended ODA data set design instance.

See Also:
  Serialized Form

Method Summary
`OdaDesignSession` `cancel()` Performs cancel on this design session.
`OdaDesignSession` `finish()` Performs finish on this design session to create or edit its data set design.
`IAdaptable` `getEditorPageElement()` Returns a customized editor page's adaptable element that represents the the extended ODA data set design instance that is being edited.
`DataSetEditorPage[]` `getEditorPages()` Returns an ordered collection of customized editor pages for use within a design session to edit an extended ODA data set design instance.
`IWizard` `getNewWizard()` Returns an ODA wizard for use within this design session to create a new, extended ODA data set design instance.
`DesignSessionRequest` `getRequest()` Returns the session request that has started this design session.
`IWizardPage` `getWizardStartingPage()` Returns a customized starting wizard page for use within this design session to create or edit an extended ODA data set design instance.
`void` `restartNewDesign(java.lang.String newDataSetName, java.lang.String odaDataSetId, DataSourceDesign dataSourceDesign)` Restarts the design session to create a new data set design instance with the given name for the given ODA data set type.
`static DataSetDesignSession` `startEditDesign(DesignSessionRequest request)` Requests to start a design session to create or edit a data set design, as specified in the given ODA design session request.
`static DataSetDesignSession` `startNewDesign(java.lang.String newDataSetName, java.lang.String odaDataSetId, DataSourceDesign dataSourceDesign)` Starts a design session to create a new data set design instance with the given name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### startNewDesign

    public static DataSetDesignSession startNewDesign(java.lang.String newDataSetName,
                                                      java.lang.String odaDataSetId,
                                                      DataSourceDesign dataSourceDesign)
                                               throws OdaException

  Starts a design session to create a new data set design instance with the given name.
  This supports a simplified request for an editable session, using the default system locale.

  Parameters:
    `newDataSetName` - a unique name that identifies a data set design instance
    `odaDataSetId` - an ODA data set element id; may be null if the associated data source extension supports only one type of data set
    `dataSourceDesign` - the associated data source design instance
  Returns:
    a design session started to create a new data set design
  Throws:
    `OdaException`

### restartNewDesign

    public void restartNewDesign(java.lang.String newDataSetName,
                                 java.lang.String odaDataSetId,
                                 DataSourceDesign dataSourceDesign)
                          throws OdaException

  Restarts the design session to create a new data set design instance with the given name for the given ODA data set type.
  Restarting a design session on the same ODA data set type would preserve any user edits made on the session's custom wizard page.

  Parameters:
    `newDataSetName` - a unique name that identifies a data set design instance
    `odaDataSetId` - an ODA data set element id; may be null if the associated data source extension supports only one type of data set
    `dataSourceDesign` - the associated data source design instance
  Throws:
    `OdaException`

### startEditDesign

    public static DataSetDesignSession startEditDesign(DesignSessionRequest request)
                                                throws OdaException

  Requests to start a design session to create or edit a data set design, as specified in the given ODA design session request.

  Parameters:
    `request` - a design session request, may contain a data set design to edit
  Returns:
    a started design session, ready to create a new design, or edit the requested data set design
  Throws:
    `OdaException`

### getRequest

    public DesignSessionRequest getRequest()

  Returns the session request that has started this design session.

  Returns:
    the design session request, which may specify the original data set design to edit

### finish

    public OdaDesignSession finish()
                            throws OdaException

  Performs finish on this design session to create or edit its data set design. This then gathers the data set definition collected in custom UI designer, and maps into a session response with the new or updated data set design instance.
  This method must be called only after the corresponding wizard or editor page has performed finish.

  Returns:
    a completed ODA design with the session response and the original request, if any.
  Throws:
    `OdaException`

### cancel

    public OdaDesignSession cancel()

  Performs cancel on this design session. The design session is then cancelled and returns a session response with a user_cancelled state.

  Returns:
    the completed design session containing a session response with a user_cancelled state

### getNewWizard

    public IWizard getNewWizard()
                         throws OdaException

  Returns an ODA wizard for use within this design session to create a new, extended ODA data set design instance.

  Returns:
    a wizard instance to embed in a wizard dialog for use within this started design session
  Throws:
    `OdaException`

### getWizardStartingPage

    public IWizardPage getWizardStartingPage()
                                      throws OdaException

  Returns a customized starting wizard page for use within this design session to create or edit an extended ODA data set design instance.

  Returns:
    a customized wizard page for use within this started design session
  Throws:
    `OdaException`

### getEditorPages

    public DataSetEditorPage[] getEditorPages()
                                       throws OdaException

  Returns an ordered collection of customized editor pages for use within a design session to edit an extended ODA data set design instance. Each editor page is an extended PropertyPage that can be used in a preference dialog. Their order is in the same sequence as the dataSetPage elements defined in the plugin extension manifest.

  Returns:
    an array of customized editor pages
  Throws:
    `OdaException`

### getEditorPageElement

    public IAdaptable getEditorPageElement()
                                    throws OdaException

  Returns a customized editor page's adaptable element that represents the the extended ODA data set design instance that is being edited.

  Returns:
  Throws:
    `OdaException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.